> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Status

> Get user's billing status, verified against Stripe.



## OpenAPI

````yaml /openapi.json get /api/billing/status
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/billing/status:
    get:
      tags:
        - public
      summary: Get Billing Status
      description: Get user's billing status, verified against Stripe.
      operationId: get_billing_status_api_billing_status_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingStatusResponse'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    BillingStatusResponse:
      properties:
        account_balance:
          default: 0
          title: Account Balance
          type: number
        amount_owed:
          default: 0
          title: Amount Owed
          type: number
        auto_reload_amount:
          default: 50
          title: Auto Reload Amount
          type: number
        auto_reload_enabled:
          default: false
          title: Auto Reload Enabled
          type: boolean
        auto_reload_threshold:
          default: 10
          title: Auto Reload Threshold
          type: number
        billing_mode:
          default: prepaid
          title: Billing Mode
          type: string
        billing_suspended:
          default: false
          title: Billing Suspended
          type: boolean
        card:
          anyOf:
            - $ref: '#/components/schemas/CardInfo'
            - type: 'null'
        cards:
          default: []
          items:
            $ref: '#/components/schemas/CardInfo'
          title: Cards
          type: array
        credit_limit:
          default: 0
          title: Credit Limit
          type: number
        default_payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Payment Method Id
        has_free_pricing:
          default: false
          title: Has Free Pricing
          type: boolean
        has_payment_method:
          title: Has Payment Method
          type: boolean
        low_balance:
          default: false
          title: Low Balance
          type: boolean
        remaining_balance:
          default: 0
          title: Remaining Balance
          type: number
        stripe_customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Customer Id
        stripe_publishable_key:
          default: ''
          title: Stripe Publishable Key
          type: string
        unbilled_usage:
          default: 0
          title: Unbilled Usage
          type: number
      required:
        - has_payment_method
      title: BillingStatusResponse
      type: object
    CardInfo:
      properties:
        brand:
          title: Brand
          type: string
        exp_month:
          title: Exp Month
          type: integer
        exp_year:
          title: Exp Year
          type: integer
        id:
          title: Id
          type: string
        last4:
          title: Last4
          type: string
      required:
        - id
        - brand
        - last4
        - exp_month
        - exp_year
      title: CardInfo
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````